Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006146opensim[REGION] Script Functionspublic2012-08-10 08:102012-08-24 03:00
ReporterSignpostMarv 
Assigned To 
PrioritylowSeverityfeatureReproducibilityN/A
Statuspatch feedbackResolutionreopened 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0006146: function to allow scripts to duplicate an object on behalf of the owner
DescriptionSomething I just cooked up for a scenario at work, needed to have a script duplicate an object as if I'd shift-cloned it myself. Potential use-case for other users would be using the NPC module to produce a tutorial on "how to build in opensim", or life simulation without having to have a central object that stores everything to be rezzed.
Additional Informationfloat PHI;
integer n;

default
{
    state_entry(){
        llSetObjectName(llGetKey());
        PHI = ((1 + llSqrt(5)) / 2.0);
    }
    
    touch_start(integer t){
        vector scale = llGetScale();
        osRezDuplicate(<0,0,++n * (scale.z * 0.5)>, llGetRot() * llEuler2Rot(<0,0,(TWO_PI * (1 / (n * PHI))) % TWO_PI>));
    }
    
    object_rez(key i){
        llOwnerSay("rezzed: " + i);
    }

    on_rez(integer p){
        llOwnerSay("I was rezzed");
    }
}
TagsNo tags attached.
Git Revision or version number19417fca41e
Run ModeStandalone (1 Region)
Physics EngineBulletSim
Script Engine
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Filespatch file icon osRezDuplicate.patch [^] (4,394 bytes) 2012-08-10 08:21 [Show Content]
patch file icon osRezDuplicate-operators.patch [^] (6,594 bytes) 2012-08-24 02:59 [Show Content]

- Relationships

-  Notes
(0022430)
justincc (administrator)
2012-08-23 16:25

Applied as git master 2ad9d65. Thanks SignpostMarv!

Could you add this to http://opensimulator.org/wiki/Category:OSSL_Functions [^] ? Will be in master but not 0.7.4
(0022432)
justincc (administrator)
2012-08-23 17:21

Reverted in git master a08687a pending further possible discussion, as agreed on the #opensim-dev irc channel.
(0022439)
SignpostMarv (reporter)
2012-08-24 03:00

Updated patch to use the implicit operators.

- Issue History
Date Modified Username Field Change
2012-08-10 08:10 SignpostMarv New Issue
2012-08-10 08:21 SignpostMarv File Added: osRezDuplicate.patch
2012-08-10 11:59 SignpostMarv Status new => patch included
2012-08-18 04:32 DMX04 Issue cloned: 0006218
2012-08-23 16:25 justincc Note Added: 0022430
2012-08-23 16:25 justincc Status patch included => resolved
2012-08-23 16:25 justincc Resolution open => fixed
2012-08-23 16:25 justincc Assigned To => justincc
2012-08-23 17:21 justincc Assigned To justincc =>
2012-08-23 17:21 justincc Note Added: 0022432
2012-08-23 17:21 justincc Status resolved => feedback
2012-08-23 17:21 justincc Resolution fixed => reopened
2012-08-23 17:22 justincc Status feedback => patch included
2012-08-23 17:22 justincc Assigned To => justincc
2012-08-23 17:22 justincc Status patch included => patch feedback
2012-08-23 17:22 justincc Assigned To justincc =>
2012-08-23 17:22 justincc Status patch feedback => patch included
2012-08-23 17:22 justincc Status patch included => patch feedback
2012-08-24 02:59 SignpostMarv File Added: osRezDuplicate-operators.patch
2012-08-24 03:00 SignpostMarv Note Added: 0022439


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker